Forum Xamarin.Forms

Announcement:

The Xamarin Forums have officially moved to the new Microsoft Q&A experience. Microsoft Q&A is the home for technical questions and answers at across all products at Microsoft now including Xamarin!

To create new threads and ask questions head over to Microsoft Q&A for .NET and get involved today.

Invalid value for 'TargetFrameworkVersion' (Xamarin.ios 9.1)

JohnHSJohnHS USMember ✭✭

Hello

I got "Invalid value for 'TargetFrameworkVersion'" when i try to build my ios app.
It happend 2-3 days ago, when i tried to build my app in 9.0 (xcode 7.0) all was 9.0, but it gave me this error.
I knew there were a new update to 9.1, so i decided to update it all, (xCode 7.1) and 9.1 in VS 2013 and on my ipad mini. But i still get this error, i've searched on google and found different solutions, but nothing helps.
When i set :
<PropertyGroup> <GenerateManifests>false</GenerateManifests> </PropertyGroup>

It just give me :
Failed to resolve "System.Void Foundation.NSMutableDictionary::set_Item(ObjCRuntime.INativeObject,ObjCRuntime.INativeObject)" reference from "Xamarin.iOS, Version=0.0.0.0, Culture=neutral, PublicKeyToken=84e04ff9cfb79065"

Got the magic solution on my problem?

Br. John Sørensen

Answers

  • JohnHSJohnHS USMember ✭✭

    Just fixed it, was because I apparently updated PclCrypto same time, it gave the error, downgraded PclCrypto and it worked again.

Sign In or Register to comment.